# Set Shipping Address

Apply a Shipping Address to a cart given its `cart_id`. The Shipping Address is of type `OrderAddress`.

{% hint style="info" %}
Some E-commerce platforms require Customer Phone numbers as a part of the Shipping Address to contact recipients. You can attach a phone number to the `OrderAddress`.
{% endhint %}

{% hint style="info" %}
While rare, this request may fail if the provided address is included in the [Blocked Addresses](/prism/checkout-guides/carts-and-bags/customers.md#blocked-addresses) list.
{% endhint %}

{% openapi src="/files/6wHrOR6auqy1RgLt3CZI" path="/checkout/cart/{cart\_id}/shipping\_address" method="post" expanded="true" %}
[order-service.yaml](https://3937396275-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F8lXIp71Ct5qCUhXjko2q%2Fuploads%2Fgit-blob-b77a2b241ffb937bc7e7164b2dd2c53cb538ac3c%2Forder-service.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/api-reference/orders-and-checkout/cart-customer/set-shipping-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
